/*
 * This file is part of dependency-check-core.
 *
 * Dependency-check-core is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation, either version 3 of the License, or (at your option) any
 * later version.
 *
 * Dependency-check-core is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * dependency-check-core. If not, see http://www.gnu.org/licenses/.
 *
 * Copyright (c) 2012 Jeremy Long. All Rights Reserved.
 */
package org.owasp.dependencycheck.dependency;

import java.io.Serializable;
import java.util.Comparator;

/**
 * Comparator for Vulnerability objects.
 *
 * @author Jeremy Long (jeremy.long@owasp.org)
 */
public class VulnerabilityComparator implements Comparator<Vulnerability>, Serializable {

    /**
     * The serial version UID.
     */
    private static final long serialVersionUID = 1L;

    /**
     * Implements the comparison of vulnerabilities.
     *
     * @param o1 a vulnerability
     * @param o2 a second vulnerability
     * @return the comparison
     */
    public int compare(Vulnerability o1, Vulnerability o2) {
        return o2.getName().compareTo(o1.getName());
    }
}
